Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slamc1

    java.lang.Object
      org.netlib.lapack.Slamc1

    public class Slamc1

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAMC1 determines the machine parameters given by BETA, T, RND, and
     *  IEEE1.
     *
     *  Arguments
     *  =========
     *
     *  BETA    (output) INTEGER
     *          The base of the machine.
     *
     *  T       (output) INTEGER
     *          The number of ( BETA ) digits in the mantissa.
     *
     *  RND     (output) LOGICAL
     *          Specifies whether proper rounding  ( RND = .TRUE. )  or
     *          chopping  ( RND = .FALSE. )  occurs in addition. This may not
     *          be a reliable guide to the way in which the machine performs

     *          its arithmetic.
     *
     *  IEEE1   (output) LOGICAL
     *          Specifies whether rounding appears to be done in the IEEE
     *          'round to nearest' style.
     *
     *  Further Details
     *  ===============
     *
     *  The routine is based on the routine  ENVRON  by Malcolm and
     *  incorporates suggestions by Gentleman and Marovich. See
     *
     *     Malcolm M. A. (1972) Algorithms to reveal properties of
     *        floating-point arithmetic. Comms. of the ACM, 15, 949-951.
     *
     *     Gentleman W. M. and Marovich S. B. (1974) More on algorithms
     *        that reveal properties of floating point arithmetic units.
     *        Comms. of the ACM, 17, 276-277.
     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Field Summary
`static boolean` | `first`
`static int` | `lbeta`
`static boolean` | `lieee1`
`static boolean` | `lrnd`
`static int` | `lt`

Constructor Summary
`Slamc1()`

Method Summary
`static void` | `slamc1(intW beta, intW t, booleanW rnd, booleanW ieee1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lieee1

    public static boolean lieee1

### lrnd

    public static boolean lrnd

### lbeta

    public static int lbeta

### lt

    public static int lt

### first

    public static boolean first

Constructor Detail

### Slamc1

    public Slamc1()

Method Detail

### slamc1

    public static void slamc1(intW beta,
                              intW t,
                              booleanW rnd,
                              booleanW ieee1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD